from .linden import *
from .turtle import *
import bpy

class LSystemRunOperator(bpy.types.Operator):
    bl_idname = "lsystem.run"
    bl_label = "Run Operator"
    my_float: bpy.props.FloatProperty(name="Some Floating Point")
    
    def execute(self, context):
        it = context.scene.lsystem_iterations
        lsystem = context.scene.lsystem_lsystem
        bf = eval(lsystem)
        bf.iterate(it)
        orient = mathutils.Quaternion((1,0,0,0)) #identity quaternion
        orient = mathutils.Quaternion((0, 1, 0), math.radians(-90))
        pos = Vector([0, 0, 0])
        pturtle = PTurtle(pos, orient, 0)
        bf.add_to_scene(pturtle)
        return {'FINISHED'}


